Package org.openoffice.da.comp.writer2latex

# Class W2LExportFilter

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ExportFilterBase
org.openoffice.da.comp.writer2latex.W2LExportFilter

All Implemented Interfaces:
  `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.xml.sax.XDocumentHandler`, `com.sun.star.xml.XExportFilter`

public class W2LExportFilter extends ExportFilterBase
This class implements the LaTeX and BibTeX export filter component

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`__displayName`
Filter name to include in error messages
`static final String`
`__implementationName`
Implementation name for the component
`static final String`
`__serviceName`
Service name for the component

### Fields inherited from interface com.sun.star.xml.sax.XDocumentHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.xml.XExportFilter

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`W2LExportFilter(com.sun.star.uno.XComponentContext xComponentContext1)`

## Method Summary

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ExportFilterBase

`characters, endDocument, endElement, exporter, getImplementationId, getImplementationName, getServiceName, getSupportedServiceNames, getTypes, ignorableWhitespace, processingInstruction, setDocumentLocator, startDocument, startElement, supportsService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static final String __serviceName
Service name for the component

See Also:
  - Constant Field Values

### __implementationName

public static final String __implementationName
Implementation name for the component

See Also:
  - Constant Field Values

### __displayName

public final String __displayName
Filter name to include in error messages

See Also:
  - Constant Field Values

## Constructor Details

### W2LExportFilter

public W2LExportFilter(com.sun.star.uno.XComponentContext xComponentContext1)